require "../spec/support/boxes/**"

# Add seeds here that are *required* for your app to work.
# For example, you might need at least one admin user or you might need at least
# one category for your blog posts for the app to work.
#
# Use `Db::CreateSampleSeeds` if your only want to add sample data helpful for
# development.
class Db::CreateRequiredSeeds < LuckyCli::Task
  def initialize(@quiet : Bool = false)
  end

  summary "Add database records required for the app to work"

  def call
    unless RoleQuery.new.name("root").first?
     Role::SaveOperation.create!(id: 0, name: "root", description: "Root user")
    end
    unless RoleQuery.new.name("admin").first?
     Role::SaveOperation.create!(id: 1, name: "admin", description: "Admin user")
    end
    unless RoleQuery.new.name("user").first?
     Role::SaveOperation.create!(id: 1000, name: "user", description: "Regular user")
    end

    unless @quiet
      puts "Done adding required data"
    end
  end
end
